/*
ParticipantDeviceListener.java
Copyright (C) 2010  Belledonne Communications, Grenoble, France

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
*/

package org.linphone.core;

import androidx.annotation.Nullable;
import androidx.annotation.NonNull;

/**
* An object to handle the callbacks for the handling a LinphoneParticipantDevice<br/>
* objects. <br/>
* <br/>
* Use linphone_factory_create_participant_device_cbs to create an instance. Then<br/>
* pass the object to a LinphoneParticipantDevice instance through<br/>
* linphone_participant_device_add_callbacks. <br/>
*/
public interface ParticipantDeviceListener {
    /**
    * Callback used to notify that is this participant device speaking has changed. <br/>
    * <br/>
    * @param participantDevice LinphoneParticipantDevice object   <br/>
    * @param isSpeaking is this participant device speaking <br/>
    */
    public void onIsSpeakingChanged(@NonNull ParticipantDevice participantDevice, boolean isSpeaking);

}